## org.eclipse.datatools.sqltools.debugger.core
Class ClientConInfo

    java.lang.Object
      org.eclipse.datatools.sqltools.debugger.core.ClientConInfo

    public class ClientConInfo

extends java.lang.Object

This class represents information of a client connection.

Constructor Summary
`ClientConInfo(IDebugHandler debugHandler, org.eclipse.datatools.sqltools.core.DatabaseIdentifier databaseIdentifier, int connid, java.lang.String user)`

Method Summary
`int` `getConnId()`
`org.eclipse.datatools.sqltools.core.DatabaseIdentifier` `getDatabaseIdentifier()`
`IDebugHandler` `getDebugHandler()`
`org.eclipse.datatools.sqltools.core.ServerIdentifier` `getServerIdentifier()`
`java.lang.Object` `getStatus()`
`java.lang.String` `getUser()`
`boolean` `isAttached()` help method.
`void` `setStatus(java.lang.Object status)`
`boolean` `updateStatus(java.lang.String db, java.lang.String user, java.lang.Object status)` update client connection status.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientConInfo

    public ClientConInfo(IDebugHandler debugHandler,
                         org.eclipse.datatools.sqltools.core.DatabaseIdentifier databaseIdentifier,
                         int connid,
                         java.lang.String user)

Method Detail

### getConnId

    public int getConnId()

### getUser

    public java.lang.String getUser()

### updateStatus

    public boolean updateStatus(java.lang.String db,
                                java.lang.String user,
                                java.lang.Object status)

  update client connection status.

  Parameters:
    `object` - server type specific status object
  Returns:
    true if status is changed from previous state.

### getStatus

    public java.lang.Object getStatus()

  Returns:

### isAttached

    public boolean isAttached()

  help method.

  Returns:

### getDebugHandler

    public IDebugHandler getDebugHandler()

### getServerIdentifier

    public org.eclipse.datatools.sqltools.core.ServerIdentifier getServerIdentifier()

### getDatabaseIdentifier

    public org.eclipse.datatools.sqltools.core.DatabaseIdentifier getDatabaseIdentifier()

### setStatus

    public void setStatus(java.lang.Object status)